getSalesOrder
READGet sales order.
POST /api/v1/sales/getSalesOrder
curl -X POST '<your-host>/api/v1/sales/getSalesOrder' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"salesOrderId": "string"
}'Response
{
"assignee": "string",
"closedAt": "string",
"closedBy": "string",
"companyId": "string",
"completedDate": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customerContactId": "string",
"customerEngineeringContactId": "string",
"customerId": "string",
"customerLocationId": "string",
"customerReference": "string",
"customFields": "…",
"displayStatus": "Closed",
"dropShipment": true,
"exchangeRate": 0,
"exchangeRateUpdatedAt": "string",
"externalId": "…",
"externalNotes": "…",
"id": "string",
"incoterm": "EXW",
"incotermLocation": "string",
"internalNotes": "…",
"itemType": "Part",
"jobs": [
"…"
],
"lines": [
"…"
],
"locationId": "string",
"opportunityId": "string",
"orderDate": "string",
"orderTotal": 0,
"paymentTermId": "string",
"receiptPromisedDate": "string",
"receiptRequestedDate": "string",
"revisionId": 0,
"salesOrderId": "string",
"salesPersonId": "string",
"sentCompleteDate": "string",
"shippingCost": 0,
"shippingMethodId": "string",
"shippingTermName": "string",
"status": "Closed",
"thumbnailPath": "string",
"updatedAt": "string",
"updatedBy": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"salesOrderId": {
"type": "string"
}
},
"required": [
"salesOrderId"
]
}